# API keys

Create, list, retrieve, and rotate API keys so you can securely authenticate requests and control access to the API.

 - [POST /api-keys/create](https://api-docs.solidgate.com/api/v2/products/solidgate/api-keys/create-api-key.md): Creates a new API key for authentication and authorization. This endpoint requires an account-level API key.
 - [POST /api-keys/list](https://api-docs.solidgate.com/api/v2/products/solidgate/api-keys/list-api-key.md): Retrieves a paginated list of API keys for the specified account. This endpoint requires an account-level API key.
 - [POST /api-keys/get](https://api-docs.solidgate.com/api/v2/products/solidgate/api-keys/get-api-key.md): Returns details and permissions for the specified API key. This endpoint requires an account-level API key.
 - [POST /api-keys/rotate](https://api-docs.solidgate.com/api/v2/products/solidgate/api-keys/rotate-api-key.md): Rotates the secret key for the specified API key. Returns a new secret in the `rotate_secret` field, which becomes valid within a few seconds. The previous secret remains valid during the rotation per
